For the complete documentation index, see llms.txt. This page is also available as Markdown.

Register a Webhook

Register a new webhook to receive notifications for monitoring alerts

post

Allows you to register a new webhook to receive notifications for monitoring alerts. This can include Breach, Identity, and BIN Monitoring alerts.

Authorizations
AuthorizationstringRequired

The Enzoic API uses a basic auth scheme where the username is your API key and the password is your API secret.
See https://docs.enzoic.com/enzoic-api-developer-documentation/using-the-enzoic-api#api-authentication for more details.

Body
urlstringRequired

The URL of the webhook to send alerts to when a match is found.

Example: https://mywebhook.com
defaultbooleanOptional

If true, this webhook will be used as the default for all new monitoring requests which do not specify a webhook. This will automatically override any existing default webhook. The first webhook created on an account automatically becomes the default.

Example: false
Responses
201

The call was successful and the webhook is now available for use on your account.

application/json
webhookIDstringOptional

The ID of the webhook.

Example: 5a3ae05132ffb96e664d4626
urlstringOptional

The URL of the webhook.

Example: https://mywebhook.com
keystringOptional

The key for the webhook. This is passed to the webhook as the username using basic authentication, so that you may verify Enzoic is the caller.

Example: 51000000000000000000000000000000
secretstringOptional

The secret for the webhook. This is passed to the webhook as the password using basic authentication, so that you may verify Enzoic is the caller.

Example: 51000000000000000000000000000000
defaultbooleanOptional

If true, this webhook is the default webhook for the account.

Example: false
post/webhooks
POST /v1/webhooks HTTP/1.1
Host: api.enzoic.com
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "url": "https://mywebhook.com",
  "default": false
}
{
  "webhookID": "5a3ae05132ffb96e664d4626",
  "url": "https://mywebhook.com",
  "key": "51000000000000000000000000000000",
  "secret": "51000000000000000000000000000000",
  "default": false
}

Last updated